gnutls_register_custom_url(3)

NAME
gnutls_register_custom_url - API function

SYNOPSIS
#include <gnutls/urls.h>

int gnutls_register_custom_url(const gnutls_custom_url_st * st);

ARGUMENTS

const gnutls_custom_url_st * st
    A gnutls_custom_url_st structure

DESCRIPTION
Register a custom URL. This will affect the following functions: gnutls_url_is_supported(), gnutls_privkey_import_url(), gnutls_pubkey_import_url, gnutls_x509_crt_import_url() and all functions that depend on them, e.g., gnutls_certificate_set_x509_key_file2(). The provided structure and callback functions must be valid throughout the lifetime of the process. The registration of an existing URL type will fail with GNUTLS_E_INVALID_REQUEST. Since GnuTLS 3.5.0 this function can be used to override the builtin URLs. This function is not thread safe.

RETURNS
returns zero if the given structure was imported or a negative value otherwise.

SINCE
3.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/